import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickHero, userClickLogin, userClickRegistration } from '../util/gtm/tags-collection';

/**
 * buyer click events
 * @returns {{ init: init }}
 */
export const buyerEvents = (() => ({
  init: function () {
    // start now button click event
    $('.primary-button.buyer.toolbar').on('click', function() {
      // currently pushing to GTM only from the root page
      if (location.pathname === '/') {
        pushTagToGTM(userClickRegistration);
      }

      window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
    });

    $('.primary-button.hero.buyer').on('click', function() {
      // currently pushing to GTM only from the root page
      if (location.pathname === '/') {
        pushTagToGTM(userClickHero)
      }

      window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
    });

    // sign in button click event
    $('.secondary-button').on('click', function() {
      pushTagToGTM(userClickLogin)

      window.open(PUBLIC_URLS.login, '_blank');
    });
  }
}))();
